Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4FragmentingString.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4FragmentingString.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4FragmentingString.cc	(revision 1337)
@@ -80,7 +80,4 @@
 	if ( old.decaying == Left )
 	{
-//G4cout<<" Left "<<G4endl;
-//G4cout<<"Pt right "<<Ptright<<G4endl;
-//G4cout<<"Pt left  "<<Ptleft <<G4endl;
 		RightParton= old.RightParton;
 		Ptright    = old.Ptright;
@@ -88,11 +85,6 @@
 		Ptleft     = old.Ptleft - momentum->vect();
 		Ptleft.setZ(0.);
-//G4cout<<"Pt right "<<Ptright<<G4endl;
-//G4cout<<"Pt left  "<<Ptleft <<G4endl;
 	} else if ( old.decaying == Right )
 	{
-//G4cout<<" Right "<<G4endl;
-//G4cout<<"Pt right "<<Ptright<<G4endl;
-//G4cout<<"Pt left  "<<Ptleft <<G4endl;
 		RightParton = newdecay;
 		Ptright     = old.Ptright - momentum->vect();
@@ -100,6 +92,4 @@
 		LeftParton  = old.LeftParton;
 		Ptleft      = old.Ptleft;
-//G4cout<<"Pt right "<<Ptright<<G4endl;
-//G4cout<<"Pt left  "<<Ptleft <<G4endl;
 	} else
 	{
@@ -116,17 +106,17 @@
 //---------------------------------------------------------------------------------
 
-G4FragmentingString::G4FragmentingString(const G4FragmentingString &old,  // Uzhi
-					 G4ParticleDefinition * newdecay) // Uzhi
-{                                                                         // Uzhi
-	decaying=None;                                                    // Uzhi
-	if ( old.decaying == Left )                                       // Uzhi
-	{                                                                 // Uzhi
-		RightParton= old.RightParton;                             // Uzhi
-		LeftParton = newdecay;                                    // Uzhi
-	} else if ( old.decaying == Right )                               // Uzhi
-	{                                                                 // Uzhi
-		RightParton = newdecay;                                   // Uzhi
-		LeftParton  = old.LeftParton;                             // Uzhi
-	} else                                                            // Uzhi
+G4FragmentingString::G4FragmentingString(const G4FragmentingString &old,  
+					 G4ParticleDefinition * newdecay) 
+{                                                                         
+	decaying=None;                                                    
+	if ( old.decaying == Left )                                       
+	{                                                                 
+		RightParton= old.RightParton;                             
+		LeftParton = newdecay;                                    
+	} else if ( old.decaying == Right )                               
+	{                                                                 
+		RightParton = newdecay;                                   
+		LeftParton  = old.LeftParton;                             
+	} else                                                            
 	{
 		throw G4HadronicException(__FILE__, __LINE__, "G4FragmentingString::G4FragmentingString: no decay Direction defined");
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4HadronBuilder.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4HadronBuilder.cc,v 1.10 2009/05/22 16:34:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4LundStringFragmentation.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4LundStringFragmentation.cc,v 1.18 2009/10/05 12:52:48 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $ 1.8
+// $Id: G4LundStringFragmentation.cc,v 1.20 2010/06/21 17:50:48 vuzhinsk Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $ 1.8
 //
 // -----------------------------------------------------------------------------
@@ -58,6 +58,6 @@
     SmoothParam  = 0.2;                   
 
-//    SetStringTensionParameter(0.25);                           // Uzhi 20 June 08
-    SetStringTensionParameter(1.);                           // Uzhi 20 June 09
+//    SetStringTensionParameter(0.25);                           
+    SetStringTensionParameter(1.);                         
    }
 
@@ -90,11 +90,6 @@
 
 //--------------------------------------------------------------------------------------
-void G4LundStringFragmentation::SetMinimalStringMass(const G4FragmentingString  * const string)  // Uzhi
-{
-/*
-G4cout<<"In SetMinMass -------------------"<<std::sqrt(string->Mass2())<<G4endl;
-G4cout<<string->GetLeftParton()->GetPDGEncoding()<<" "<<
-        string->GetRightParton()->GetPDGEncoding()<<G4endl;
-*/
+void G4LundStringFragmentation::SetMinimalStringMass(const G4FragmentingString  * const string)  
+{
   G4double EstimatedMass=0.;  
   G4int Number_of_quarks=0;
@@ -150,5 +145,4 @@
   MinimalStringMass=EstimatedMass;
   SetMinimalStringMass2(EstimatedMass);
-//G4cout<<"Out SetMinimalStringMass "<<MinimalStringMass<<G4endl;
 }
 
@@ -164,10 +158,7 @@
                                 const G4ExcitedString& theString)
 {
-
-//G4cout<<"In FragmentString"<<G4endl;
-
 //    Can no longer modify Parameters for Fragmentation.
 	PastInitPhase=true;
-	
+
 // 	check if string has enough mass to fragment...
         
@@ -180,7 +171,14 @@
 G4cout<<"FragmentString Momentum"<<theString.Get4Momentum()<<theString.Get4Momentum().mag()<<G4endl;
 */
+        G4FragmentingString aString(theString);
+        SetMinimalStringMass(&aString); 
+
+       if((MinimalStringMass+WminLUND)*(1.-SmoothParam) > theString.Get4Momentum().mag())
+       {SetMassCut(1000.*MeV);}
+// V.U. 20.06.10 in order to put un correspondence LightFragTest and MinStrMass
+
 	G4KineticTrackVector * LeftVector=LightFragmentationTest(&theString);
+
 	if ( LeftVector != 0 ) {
-//G4cout<<"Return single hadron insted of string"<<G4endl; 
 // Uzhi insert 6.05.08 start
           if(LeftVector->size() == 1){
@@ -197,6 +195,6 @@
             LeftVector->operator[](0)->SetPosition(aPosition);
 */            
-//G4cout<<"Single hadron "<<LeftVector->operator[](0)->Get4Momentum()<<" "<<LeftVector->operator[](0)->Get4Momentum().mag()<<G4endl;
           } else {    // 2 hadrons created from qq-qqbar are stored
+
             LeftVector->operator[](0)->SetFormationTime(theString.GetTimeOfCreation());
             LeftVector->operator[](0)->SetPosition(theString.GetPosition());
@@ -204,5 +202,4 @@
             LeftVector->operator[](1)->SetPosition(theString.GetPosition());
           }
-// Uzhi insert 6.05.08 end
           return LeftVector;
         }
@@ -210,5 +207,4 @@
 //--------------------- The string can fragment -------------------------------	
 //--------------- At least two particles can be produced ----------------------
-
                                LeftVector =new G4KineticTrackVector;
 	G4KineticTrackVector * RightVector=new G4KineticTrackVector;
@@ -223,5 +219,4 @@
 		G4FragmentingString *currentString=new G4FragmentingString(*theStringInCMS);
 
-//G4cout<<"FragmentString cur M2  "<<std::sqrt(currentString->Mass2())<<G4endl;
           // Cleaning up the previously produced hadrons ------------------------------
 		std::for_each(LeftVector->begin() , LeftVector->end() , DeleteKineticTrack());
@@ -237,10 +232,5 @@
 			G4FragmentingString *newString=0;  // used as output from SplitUp...
 
-//G4cout<<"FragmentString to Splitup ===================================="<<G4endl; 
-//G4cout<<"++++++++++++++++++++++++++ Enter num--------------------------"<<G4endl;
-//G4int Uzhi; G4cin>>Uzhi;                         // Uzhi
-
 			G4KineticTrack * Hadron=Splitup(currentString,newString);
-//G4cout<<" Hadron "<<Hadron<<G4endl;
 
 			if ( Hadron != 0 )  // Store the hadron                               
@@ -255,5 +245,4 @@
 		}; 
 	// Split remaining string into 2 final Hadrons ------------------------
-//G4cout<<"FragmentString to SplitLast if inner_sucess#0"<<inner_sucess<<G4endl;
 		if ( inner_sucess &&                                       
 		     SplitLast(currentString,LeftVector, RightVector) ) 
@@ -283,6 +272,4 @@
 	delete RightVector;
 
-//G4cout<<"CalculateHadronTimePosition"<<G4endl;
-
 	CalculateHadronTimePosition(theString.Get4Momentum().mag(), LeftVector);
 
@@ -294,27 +281,5 @@
         G4double      TimeOftheStringCreation=theString.GetTimeOfCreation();
         G4ThreeVector PositionOftheStringCreation(theString.GetPosition());
-// Uzhi 11.07.09
-//G4cout<<" String T Pos"<<TimeOftheStringCreation<<' '<<PositionOftheStringCreation<<G4endl;
-/*  // For large formation time open *
-        G4double      TimeOftheStringCreation=theString.GetTimeOfCreation()+100*fermi;
-        G4ThreeVector PositionOftheStringCreation(theString.GetPosition().x(),
-                                                  theString.GetPosition().y(),
-                                                  theString.GetPosition().z()+100*fermi);
-*/
-
-/*
-        if(theString.GetPosition().y() > 100.*fermi){    
-// It is a projectile-like string -------------------------------------
-          G4double Zmin=theString.GetPosition().y()-1000.*fermi;
-          G4double Zmax=theString.GetPosition().z();
-          TimeOftheStringCreation=
-          (Zmax-Zmin)*theString.Get4Momentum().e()/theString.Get4Momentum().z();
-
-          G4ThreeVector aPosition(0.,0.,Zmax);
-          PositionOftheStringCreation=aPosition;
-        }
-*/
-
-//G4cout<<"Lund Frag # hadrons"<<LeftVector->size()<<G4endl;       // Uzhi 11.07.09
+
 	for(size_t C1 = 0; C1 < LeftVector->size(); C1++)
 	{
@@ -326,21 +291,11 @@
 	   G4LorentzVector Coordinate(Hadron->GetPosition(), Hadron->GetFormationTime());
 	   Momentum = toObserverFrame*Coordinate;
-	   Hadron->SetFormationTime(TimeOftheStringCreation+Momentum.e()    // Uzhi 11.07.09
-                                                           -fermi/c_light); // Uzhi 11.07.09
+	   Hadron->SetFormationTime(TimeOftheStringCreation+Momentum.e()    
+                                                           -fermi/c_light); 
 	   G4ThreeVector aPosition(Momentum.vect());
 //	   Hadron->SetPosition(theString.GetPosition()+aPosition);
 	   Hadron->SetPosition(PositionOftheStringCreation+aPosition);
-//G4cout<<"Hadron "<<C1<<" "<<Hadron->GetPosition()/fermi<<" "<<Hadron->GetFormationTime()/fermi<<G4endl;
-/* // Uzhi 11.07.09
-G4cout<<C1<<' '<<Hadron->GetDefinition()->GetParticleName()<<G4endl;
-G4cout<<Hadron->GetDefinition()->GetPDGMass()<<' '
-<<Hadron->Get4Momentum()<<G4endl;
-G4cout<<Hadron->GetFormationTime()<<' '
-<<Hadron->GetPosition()<<' '
-<<Hadron->GetPosition().z()/fermi<<G4endl;
-*/  // Uzhi
 	};
 
-//G4cout<<"Out FragmentString"<<G4endl;
 	return LeftVector;
 		
@@ -350,11 +305,6 @@
 G4bool G4LundStringFragmentation::IsFragmentable(const G4FragmentingString * const string)
 {
-//G4cout<<"In IsFragmentable"<<G4endl;
-  SetMinimalStringMass(string);                                                     // Uzhi
-//G4cout<<"Out IsFragmentable MinMass"<<MinimalStringMass<<" String Mass"<<std::sqrt(string->Get4Momentum().mag2())<<G4endl; 
-  return sqr(MinimalStringMass + WminLUND) < string->Get4Momentum().mag2();         // Uzhi
-
-//	return sqr(FragmentationMass(string)+MassCut) <                             // Uzhi
-//			string->Mass2();                                            // Uzhi
+  SetMinimalStringMass(string);                                                     
+  return sqr(MinimalStringMass + WminLUND) < string->Get4Momentum().mag2();         
 }
 
@@ -362,10 +312,8 @@
 G4bool G4LundStringFragmentation::StopFragmenting(const G4FragmentingString * const string)
 {
-//G4cout<<"StopFragmenting"<<G4endl;
-
   SetMinimalStringMass(string);                                           
 
 //G4cout<<"StopFragm MinMass "<<MinimalStringMass<<" String Mass "<<std::sqrt(string->Get4Momentum().mag2())<<G4endl; 
-
+//G4cout<<"WminLUND "<<WminLUND<<" SmoothParam "<<SmoothParam<<" "<<string->Mass()<<G4endl;
   return (MinimalStringMass + WminLUND)*
              (1 + SmoothParam * (1.-2*G4UniformRand())) >                
@@ -379,11 +327,7 @@
 {
     //... perform last cluster decay
-/*
-G4cout<<"SplitLast String mass "<<string->Mass()<<G4endl;
-G4cout<<string->GetLeftParton()->GetPDGEncoding()<<" "<<G4endl;
-G4cout<<string->GetRightParton()->GetPDGEncoding()<<" "<<G4endl;
-*/
+
     G4LorentzVector Str4Mom=string->Get4Momentum();
-//G4cout<<"String 4 momentum "<<Str4Mom<<G4endl;
+
     G4ThreeVector ClusterVel =string->Get4Momentum().boostVector();
 
@@ -395,6 +339,4 @@
     do
     {
-//G4cout<<" Cicle "<<cClusterInterrupt<<" "<< ClusterLoopInterrupt<<G4endl;
-
         if (cClusterInterrupt++ >= ClusterLoopInterrupt)
         {
@@ -454,14 +396,9 @@
            } 
         } 
-/*
-G4cout<<"SplitLast Left Right hadrons "<<LeftHadron->GetPDGEncoding()<<" "<<RightHadron->GetPDGEncoding()<<G4endl;
-G4cout<<"SplitLast Left Right hadrons "<<LeftHadron->GetPDGMass()<<" "<<RightHadron->GetPDGMass()<<G4endl;
-G4cout<<"Sum H mass Str Mass "<<LeftHadron->GetPDGMass() + RightHadron->GetPDGMass()<<" "<<ResidualMass<<G4endl;
-*/
+
        //... repeat procedure, if mass of cluster is too low to produce hadrons
        //... ClusterMassCut = 0.15*GeV model parameter
-
     } 
-    while (ResidualMass <= LeftHadron->GetPDGMass() + RightHadron->GetPDGMass());// UzhiVOVA
+    while (ResidualMass <= LeftHadron->GetPDGMass() + RightHadron->GetPDGMass());
 
     //... compute hadron momenta and energies   
@@ -480,5 +417,4 @@
     RightVector->push_back(new G4KineticTrack(RightHadron, 0, Pos, RightMom));
 
-//G4cout<<"Out SplitLast "<<G4endl;
     return true;
 
@@ -493,7 +429,4 @@
      G4double MassMt2, AntiMassMt2;                                         
      G4double AvailablePz, AvailablePz2;                                    
-
-//G4cout<<"Sample4Momentum "<<G4endl;
-//G4cout<<"Sample4Momentum Mass"<<Mass<<" "<<AntiMass<<" "<<InitialMass<<G4endl; 
                                                                             
     if(Mass > 930. || AntiMass > 930.)              // If there is a baryon
@@ -528,20 +461,9 @@
 	 G4double termN = 2*termD + 4*Mass*Mass + 4*AntiMass*AntiMass;
 	 G4double pt2max=(termD*termD - termab )/ termN ;
-	 
-//	 G4cout << " termD, ab, N " << termD << "  " << termab << "  " << termN 
-//	        <<  "   pt2max= " << pt2max ;
-	 	                                                                          
+	                                       
          Pt=SampleQuarkPt(std::sqrt(pt2max)); Pt.setZ(0); G4double Pt2=Pt.mag2();
-
-	 
-//	 G4cout << " sampled Pt2 = " << Pt2 << "  " << pt2max-Pt2 << G4endl;              
-         // end.. GF
-
-//G4cout<<"Sample4Momentum Pt x y "<<Pt.getX()<<" "<<Pt.getY()<<G4endl;
 
          MassMt2    =     Mass *     Mass + Pt2;                              
          AntiMassMt2= AntiMass * AntiMass + Pt2;                              
-
-//G4cout<<"Mts "<<MassMt2<<" "<<AntiMassMt2<<" "<<InitialMass*InitialMass<<G4endl;
 
          AvailablePz2= sqr(InitialMass*InitialMass - MassMt2 - AntiMassMt2) - 
@@ -552,24 +474,14 @@
       AvailablePz2 /=(4.*InitialMass*InitialMass);                            
       AvailablePz = std::sqrt(AvailablePz2);                               
-
-//G4cout<<"AvailablePz "<<AvailablePz<<G4endl;
  
       G4double Px=Pt.getX();                                                  
       G4double Py=Pt.getY();                                           
 
-//if(Mass > AntiMass){AvailablePz=-AvailablePz;}  // May30                   // Uzhi
-
       Mom->setPx(Px); Mom->setPy(Py); Mom->setPz(AvailablePz);              
       Mom->setE(std::sqrt(MassMt2+AvailablePz2));                         
 
-//G4cout<<" 1 part "<<Px<<"  "<<Py<<" "<<AvailablePz<<" "<<std::sqrt(MassMt2+AvailablePz2)<<G4endl;
-
      AntiMom->setPx(-Px); AntiMom->setPy(-Py); AntiMom->setPz(-AvailablePz); 
      AntiMom->setE (std::sqrt(AntiMassMt2+AvailablePz2));                    
-
-//G4cout<<" 2 part "<<-Px<<"  "<<-Py<<" "<<-AvailablePz<<" "<<std::sqrt(AntiMassMt2+AvailablePz2)<<G4endl;
     }
-
-//G4cout<<"Out Sample4Momentum "<<G4endl;
   }
 
@@ -579,25 +491,12 @@
 	G4FragmentingString * string, G4FragmentingString * newString)
 { 
-/*      
-G4cout<<"SplitEandP "<<G4endl;
-G4cout<<"SplitEandP string mass "<<string->Mass()<<G4endl;   
-G4cout<<string->GetLeftParton()->GetPDGEncoding()<<" "
-      <<string->GetRightParton()->GetPDGEncoding()<<" "<<G4endl;
-G4cout<<G4endl;
-G4cout<<newString->GetLeftParton()->GetPDGEncoding()<<" "<<G4endl;
-G4cout<<newString->GetRightParton()->GetPDGEncoding()<<" "<<G4endl;
-*/
        G4LorentzVector String4Momentum=string->Get4Momentum();
        G4double StringMT2=string->Get4Momentum().mt2();
-//G4cout<<"StringMt2 "<<StringMT2<<G4endl;
 
        G4double HadronMass = pHadron->GetPDGMass();
-//G4cout<<"Hadron mass "<<HadronMass<<" "<<pHadron->GetParticleName()<<G4endl;   
 
        SetMinimalStringMass(newString);                                        
        String4Momentum.setPz(0.);
        G4ThreeVector StringPt=String4Momentum.vect();
-//G4cout<<"StringPt "<<StringPt<<G4endl<<G4endl;
-//G4cout<<"Min string mass "<<MinimalStringMass<<G4endl;
 
 // calculate and assign hadron transverse momentum component HadronPx and HadronPy
@@ -607,8 +506,6 @@
        G4ThreeVector HadronPt = thePt +string->DecayPt();
        HadronPt.setZ(0);
-//G4cout<<"Hadron Pt"<<HadronPt<<G4endl;
 
        G4ThreeVector RemSysPt = StringPt - HadronPt;
-//G4cout<<"RemSys Pt"<<RemSysPt<<G4endl;
 
        //...  sample z to define hadron longitudinal momentum and energy
@@ -618,10 +515,6 @@
        G4double ResidualMassT2=sqr(MinimalStringMass) + RemSysPt.mag2();
 
-//G4cout<<"Mt h res str "<<std::sqrt(HadronMassT2)<<" "<<std::sqrt(ResidualMassT2)<<" srt mass"<<StringMT2<<G4endl;
-
         G4double Pz2 = (sqr(StringMT2 - HadronMassT2 - ResidualMassT2) -             
                                       4*HadronMassT2 * ResidualMassT2)/4./StringMT2;
-
-//G4cout<<"Pz**2 "<<Pz2<<G4endl;
 
         if(Pz2 < 0 ) {return 0;}          // have to start all over!           
@@ -632,6 +525,4 @@
        G4double zMin = (std::sqrt(HadronMassT2+Pz2) - Pz)/std::sqrt(StringMT2);  
        G4double zMax = (std::sqrt(HadronMassT2+Pz2) + Pz)/std::sqrt(StringMT2);  
-
-//G4cout<<"Zmin max "<<zMin<<" "<<zMax<<G4endl;               // Uzhi
 
        if (zMin >= zMax) return 0;		// have to start all over!
@@ -652,7 +543,4 @@
 
        G4LorentzVector * a4Momentum= new G4LorentzVector(HadronPt,HadronE);
-
-//G4cout<<"Hadron Pt"<<HadronPt<<G4endl;
-//G4cout<<"Out of SplitEandP Pz E "<<HadronPt.getZ()<<" "<<HadronE<<G4endl;
 
        return a4Momentum;
@@ -694,5 +582,4 @@
     {                                                           
      // ---------------- Di-quark fragmentation ----------------------
-//G4cout<<"Di-quark"<<G4endl; // Vova
        alund=0.7/GeV/GeV;    // 0.7 2.0
        G4double zOfMaxyf=alund*Mt2/(alund*Mt2 + 1.);
@@ -707,5 +594,4 @@
     };                                                           
 
-//G4cout<<" test z "<<std::pow(2.,3.)<<" "<<z<<G4endl;
     return z;
     }
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4QGSMFragmentation.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4QGSMFragmentation.cc,v 1.9 2008/06/23 08:35:55 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -----------------------------------------------------------------------------
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VKinkyStringDecay.cc	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VKinkyStringDecay.cc,v 1.4 2008/04/25 14:20:14 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //  Maxim Komogorov
 //
Index: trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/hadronization/src/G4VLongitudinalStringDecay.cc	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4VLongitudinalStringDecay.cc,v 1.18 2009/08/03 13:21:25 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// $Id: G4VLongitudinalStringDecay.cc,v 1.20 2010/06/21 17:50:48 vuzhinsk Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 // -----------------------------------------------------------------------------
@@ -179,7 +179,4 @@
 		      << string->Get4Momentum().m() << G4endl;
 #endif		      
-G4cout << "VlongSF Warning replacing string by single hadron " <<G4endl;
-G4cout << hadrons.first->GetParticleName() << " string .. " <<G4endl;
-G4cout << string->Get4Momentum() << " " << string->Get4Momentum().m() << G4endl;
 */
 	       G4ThreeVector   Mom3 = string->Get4Momentum().vect();
@@ -201,6 +198,4 @@
 		      << string->Get4Momentum().m() << G4endl;
 #endif		      
-
-// Uzhi Formation time in the case???
 
 	       G4LorentzVector  Mom1, Mom2;
@@ -328,6 +323,4 @@
 			G4FragmentingString *&newString)
 {
-//G4cout<<"In G4VLong String Dec######################"<<G4endl;
-
        //... random choice of string end to use for creating the hadron (decay)   
        SideOfDecay = (G4UniformRand() < 0.5)? 1: -1;
@@ -354,5 +347,5 @@
        G4LorentzVector* HadronMomentum=SplitEandP(HadronDefinition, string, newString);
 
-       delete newString; newString=0;                          // Uzhi 20.06.08
+       delete newString; newString=0;                          
 	
        G4KineticTrack * Hadron =0;
@@ -365,12 +358,4 @@
 	   				HadronMomentum);
 
-//G4cout<<"Out G4VLong String Dec######################"<<G4endl;	   
-//G4cout<<"newString 4Mom"<<newString->Get4Momentum()<<G4endl;
-//G4cout<<"newString Pl  "<<newString->LightConePlus()<<G4endl;
-//G4cout<<"newString Mi  "<<newString->LightConeMinus()<<G4endl;
-//G4cout<<"newString Pts "<<newString->StablePt()<<G4endl;
-//G4cout<<"newString Ptd "<<newString->DecayPt()<<G4endl;
-//G4cout<<"newString M2  "<<newString->Mass2()<<G4endl;
-//G4cout<<"newString M2  "<<newString->Mass()<<G4endl;
 	   delete HadronMomentum;
        }      
@@ -474,14 +459,4 @@
 
 //-----------------------------------------------------------------------------
-
-// G4ThreeVector G4VLongitudinalStringDecay::SampleQuarkPt()
-//    {
-//    G4double width_param= 2.0 * GeV*GeV;
-//    G4double R = G4UniformRand();
-//    G4double Pt = std::sqrt(width_param*R/(1-R));
-//    G4double phi = 2.*pi*G4UniformRand();
-//    return G4ThreeVector(Pt * std::cos(phi),Pt * std::sin(phi),0);
-//    }
-
 G4ThreeVector G4VLongitudinalStringDecay::SampleQuarkPt(G4double ptMax)
    {
@@ -505,9 +480,6 @@
 
 //   `yo-yo` formation time
-//   const G4double kappa = 1.0 * GeV/fermi/4.;      // Uzhi String tension 1.06.08
-     G4double kappa = GetStringTensionParameter();
-//G4cout<<"Kappa "<<kappa<<G4endl;                   // Uzhi 20.06.08
-//G4int Uzhi; G4cin>>Uzhi;                           // Uzhi 20.06.08
-//G4cout<<"Number of hadrons "<<Hadrons->size()<<G4endl; // Vova
+//   const G4double kappa = 1.0 * GeV/fermi/4.;      
+   G4double kappa = GetStringTensionParameter();
    for(size_t c1 = 0; c1 < Hadrons->size(); c1++)
       {
@@ -522,5 +494,5 @@
       G4double HadronPz = Hadrons->operator[](c1)->Get4Momentum().pz();
       Hadrons->operator[](c1)->SetFormationTime(
-(theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa)/c_light); //Uzhi1.07.09c_light
+(theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa)/c_light); 
 
       G4ThreeVector aPosition(0, 0,     
@@ -528,48 +500,8 @@
       Hadrons->operator[](c1)->SetPosition(aPosition);
 
-/*
-G4cout<<"kappa "<<kappa<<G4endl;
-G4cout<<c1<<" Partic time, position Old "<<
-(theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa)<<' '<<
-(theInitialStringMass - 2.*SumE  - HadronE + HadronPz)/(2.*kappa)<<G4endl;
-
-G4cout<<c1<<" Partic time, position New "<<
-(theInitialStringMass - 2.*SumPz + HadronE - HadronPz)/(2.*kappa)/c_light<<' '<<
-(theInitialStringMass - 2.*SumE  - HadronE + HadronPz)/(2.*kappa)<<G4endl;
-
-G4cout<<"fermi "<<fermi<<" 1/fermi "<<1./fermi<<' '<<"1*fermi/c "<<1.*fermi/c_light<<G4endl;
-G4int Uzhi; G4cin>>Uzhi;                           // Uzhi 20.06.08
-*/
       } 
    }
 
 //-----------------------------------------------------------------------------
-
-/*
-void G4VLongitudinalStringDecay::CalculateHadronTimePosition(G4double theInitialStringMass, G4KineticTrackVector* Hadrons)
-   {
-   // 'constituent' formation time 
-   const G4double kappa = 1.0 * GeV/fermi;
-   for(G4int c1 = 0; c1 < Hadrons->length(); c1++)
-      {
-      G4double SumPz = 0; 
-      G4double SumE  = 0;
-      for(G4int c2 = 0; c2 <= c1; c2++)
-         {
-         SumPz += Hadrons->at(c2)->Get4Momentum().pz();
-         SumE  += Hadrons->at(c2)->Get4Momentum().e();   
-         } 
-      Hadrons->at(c1)->SetFormationTime((theInitialStringMass - 2.*SumPz)/(2.*kappa));
-      G4ThreeVector aPosition(0, 0,     (theInitialStringMass - 2.*SumE)/(2.*kappa));
-      Hadrons->at(c1)->SetPosition(aPosition);
-      } 
-   c1 = Hadrons->length()-1;   
-   Hadrons->at(c1)->SetFormationTime(Hadrons->at(c1-1)->GetFormationTime());
-   Hadrons->at(c1)->SetPosition(Hadrons->at(c1-1)->GetPosition());
-   }
-*/
-
-
-//*****************************************************************************
 
 void G4VLongitudinalStringDecay::SetSigmaTransverseMomentum(G4double aValue)
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4EventGenerator.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4EventGenerator.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4EventGenerator.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EventGenerator.hh,v 1.3 2006/06/29 20:55:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4EventGenerator_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionCode.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionCode.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionCode.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InteractionCode.hh,v 1.3 2006/06/29 20:55:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4InteractionCode_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionContent.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionContent.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4InteractionContent.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4InteractionContent.hh,v 1.5 2009/07/17 12:36:41 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4PomeronCrossSection.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4PomeronCrossSection.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4PomeronCrossSection.hh	(revision 1337)
@@ -28,5 +28,5 @@
 //
 // $Id: G4PomeronCrossSection.hh,v 1.3 2006/06/29 20:55:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #include "G4Proton.hh"
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4StringModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4StringModel.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4StringModel.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StringModel.hh,v 1.3 2006/06/29 20:55:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4StringModel_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VParticipants.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VParticipants.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VParticipants.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VParticipants.hh,v 1.6 2009/11/19 14:23:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VPartonStringModel.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VPartonStringModel.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VPartonStringModel.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VPartonStringModel.hh,v 1.3 2006/06/29 20:55:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 #ifndef G4VPartonStringModel_h
Index: trunk/source/processes/hadronic/models/parton_string/management/include/G4VSplitableHadron.hh
===================================================================
--- trunk/source/processes/hadronic/models/parton_string/management/include/G4VSplitableHadron.hh	(revision 1326)
+++ trunk/source/processes/hadronic/models/parton_string/management/include/G4VSplitableHadron.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VSplitableHadron.hh,v 1.6 2009/07/17 12:36:41 vuzhinsk Exp $
-// GEANT4 tag $Name: geant4-09-03 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 
